package com.ruoyi.system.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class SnServerTemplateListDto extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long id;
   private Long serverId;
   @Excel(
      name = "服务器IP"
   )
   private String serverIp;
   private Long templateId;
   private Integer category;
   @Excel(
      name = "模板名称"
   )
   private String templateName;
   @Excel(
      name = "模板版本"
   )
   private String version;
   @Excel(
      name = "模板最新版本"
   )
   private String newVersion;
   @Excel(
      name = "域名"
   )
   private String domain;
   private Integer sslType;
   private String sslPem;
   private String sslKey;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date sslTime;
   private String nginxCnf;
   @Excel(
      name = "状态"
   )
   private Integer status;
   private String createName;
   private String agentName;
   private String dealerName;
   @Excel(
      name = "国家"
   )
   private String country;
   @Excel(
      name = "语言"
   )
   private String language;

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("id", this.getId()).append("serverId", this.getServerId()).append("serverIp", this.getServerIp()).append("templateId", this.getTemplateId()).append("templateName", this.getTemplateName()).append("domain", this.getDomain()).append("sslPem", this.getSslPem()).append("sslKey", this.getSslKey()).append("nginxCnf", this.getNginxCnf()).append("status", this.getStatus()).append("isDelete", this.getIsDelete()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
   }

   public Long getId() {
      return this.id;
   }

   public Long getServerId() {
      return this.serverId;
   }

   public String getServerIp() {
      return this.serverIp;
   }

   public Long getTemplateId() {
      return this.templateId;
   }

   public Integer getCategory() {
      return this.category;
   }

   public String getTemplateName() {
      return this.templateName;
   }

   public String getVersion() {
      return this.version;
   }

   public String getNewVersion() {
      return this.newVersion;
   }

   public String getDomain() {
      return this.domain;
   }

   public Integer getSslType() {
      return this.sslType;
   }

   public String getSslPem() {
      return this.sslPem;
   }

   public String getSslKey() {
      return this.sslKey;
   }

   public Date getSslTime() {
      return this.sslTime;
   }

   public String getNginxCnf() {
      return this.nginxCnf;
   }

   public Integer getStatus() {
      return this.status;
   }

   public String getCreateName() {
      return this.createName;
   }

   public String getAgentName() {
      return this.agentName;
   }

   public String getDealerName() {
      return this.dealerName;
   }

   public String getCountry() {
      return this.country;
   }

   public String getLanguage() {
      return this.language;
   }

   public void setId(Long id) {
      this.id = id;
   }

   public void setServerId(Long serverId) {
      this.serverId = serverId;
   }

   public void setServerIp(String serverIp) {
      this.serverIp = serverIp;
   }

   public void setTemplateId(Long templateId) {
      this.templateId = templateId;
   }

   public void setCategory(Integer category) {
      this.category = category;
   }

   public void setTemplateName(String templateName) {
      this.templateName = templateName;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public void setNewVersion(String newVersion) {
      this.newVersion = newVersion;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public void setSslType(Integer sslType) {
      this.sslType = sslType;
   }

   public void setSslPem(String sslPem) {
      this.sslPem = sslPem;
   }

   public void setSslKey(String sslKey) {
      this.sslKey = sslKey;
   }

   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   public void setSslTime(Date sslTime) {
      this.sslTime = sslTime;
   }

   public void setNginxCnf(String nginxCnf) {
      this.nginxCnf = nginxCnf;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setCreateName(String createName) {
      this.createName = createName;
   }

   public void setAgentName(String agentName) {
      this.agentName = agentName;
   }

   public void setDealerName(String dealerName) {
      this.dealerName = dealerName;
   }

   public void setCountry(String country) {
      this.country = country;
   }

   public void setLanguage(String language) {
      this.language = language;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnServerTemplateListDto)) {
         return false;
      } else {
         SnServerTemplateListDto other = (SnServerTemplateListDto)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label251: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label251;
                  }
               } else if (this$id.equals(other$id)) {
                  break label251;
               }

               return false;
            }

            Object this$serverId = this.getServerId();
            Object other$serverId = other.getServerId();
            if (this$serverId == null) {
               if (other$serverId != null) {
                  return false;
               }
            } else if (!this$serverId.equals(other$serverId)) {
               return false;
            }

            Object this$templateId = this.getTemplateId();
            Object other$templateId = other.getTemplateId();
            if (this$templateId == null) {
               if (other$templateId != null) {
                  return false;
               }
            } else if (!this$templateId.equals(other$templateId)) {
               return false;
            }

            label230: {
               Object this$category = this.getCategory();
               Object other$category = other.getCategory();
               if (this$category == null) {
                  if (other$category == null) {
                     break label230;
                  }
               } else if (this$category.equals(other$category)) {
                  break label230;
               }

               return false;
            }

            label223: {
               Object this$sslType = this.getSslType();
               Object other$sslType = other.getSslType();
               if (this$sslType == null) {
                  if (other$sslType == null) {
                     break label223;
                  }
               } else if (this$sslType.equals(other$sslType)) {
                  break label223;
               }

               return false;
            }

            label216: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label216;
                  }
               } else if (this$status.equals(other$status)) {
                  break label216;
               }

               return false;
            }

            Object this$serverIp = this.getServerIp();
            Object other$serverIp = other.getServerIp();
            if (this$serverIp == null) {
               if (other$serverIp != null) {
                  return false;
               }
            } else if (!this$serverIp.equals(other$serverIp)) {
               return false;
            }

            label202: {
               Object this$templateName = this.getTemplateName();
               Object other$templateName = other.getTemplateName();
               if (this$templateName == null) {
                  if (other$templateName == null) {
                     break label202;
                  }
               } else if (this$templateName.equals(other$templateName)) {
                  break label202;
               }

               return false;
            }

            Object this$version = this.getVersion();
            Object other$version = other.getVersion();
            if (this$version == null) {
               if (other$version != null) {
                  return false;
               }
            } else if (!this$version.equals(other$version)) {
               return false;
            }

            label188: {
               Object this$newVersion = this.getNewVersion();
               Object other$newVersion = other.getNewVersion();
               if (this$newVersion == null) {
                  if (other$newVersion == null) {
                     break label188;
                  }
               } else if (this$newVersion.equals(other$newVersion)) {
                  break label188;
               }

               return false;
            }

            Object this$domain = this.getDomain();
            Object other$domain = other.getDomain();
            if (this$domain == null) {
               if (other$domain != null) {
                  return false;
               }
            } else if (!this$domain.equals(other$domain)) {
               return false;
            }

            Object this$sslPem = this.getSslPem();
            Object other$sslPem = other.getSslPem();
            if (this$sslPem == null) {
               if (other$sslPem != null) {
                  return false;
               }
            } else if (!this$sslPem.equals(other$sslPem)) {
               return false;
            }

            label167: {
               Object this$sslKey = this.getSslKey();
               Object other$sslKey = other.getSslKey();
               if (this$sslKey == null) {
                  if (other$sslKey == null) {
                     break label167;
                  }
               } else if (this$sslKey.equals(other$sslKey)) {
                  break label167;
               }

               return false;
            }

            label160: {
               Object this$sslTime = this.getSslTime();
               Object other$sslTime = other.getSslTime();
               if (this$sslTime == null) {
                  if (other$sslTime == null) {
                     break label160;
                  }
               } else if (this$sslTime.equals(other$sslTime)) {
                  break label160;
               }

               return false;
            }

            Object this$nginxCnf = this.getNginxCnf();
            Object other$nginxCnf = other.getNginxCnf();
            if (this$nginxCnf == null) {
               if (other$nginxCnf != null) {
                  return false;
               }
            } else if (!this$nginxCnf.equals(other$nginxCnf)) {
               return false;
            }

            Object this$createName = this.getCreateName();
            Object other$createName = other.getCreateName();
            if (this$createName == null) {
               if (other$createName != null) {
                  return false;
               }
            } else if (!this$createName.equals(other$createName)) {
               return false;
            }

            label139: {
               Object this$agentName = this.getAgentName();
               Object other$agentName = other.getAgentName();
               if (this$agentName == null) {
                  if (other$agentName == null) {
                     break label139;
                  }
               } else if (this$agentName.equals(other$agentName)) {
                  break label139;
               }

               return false;
            }

            Object this$dealerName = this.getDealerName();
            Object other$dealerName = other.getDealerName();
            if (this$dealerName == null) {
               if (other$dealerName != null) {
                  return false;
               }
            } else if (!this$dealerName.equals(other$dealerName)) {
               return false;
            }

            Object this$country = this.getCountry();
            Object other$country = other.getCountry();
            if (this$country == null) {
               if (other$country != null) {
                  return false;
               }
            } else if (!this$country.equals(other$country)) {
               return false;
            }

            Object this$language = this.getLanguage();
            Object other$language = other.getLanguage();
            if (this$language == null) {
               if (other$language != null) {
                  return false;
               }
            } else if (!this$language.equals(other$language)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnServerTemplateListDto;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $serverId = this.getServerId();
      result = result * 59 + ($serverId == null ? 43 : $serverId.hashCode());
      Object $templateId = this.getTemplateId();
      result = result * 59 + ($templateId == null ? 43 : $templateId.hashCode());
      Object $category = this.getCategory();
      result = result * 59 + ($category == null ? 43 : $category.hashCode());
      Object $sslType = this.getSslType();
      result = result * 59 + ($sslType == null ? 43 : $sslType.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $serverIp = this.getServerIp();
      result = result * 59 + ($serverIp == null ? 43 : $serverIp.hashCode());
      Object $templateName = this.getTemplateName();
      result = result * 59 + ($templateName == null ? 43 : $templateName.hashCode());
      Object $version = this.getVersion();
      result = result * 59 + ($version == null ? 43 : $version.hashCode());
      Object $newVersion = this.getNewVersion();
      result = result * 59 + ($newVersion == null ? 43 : $newVersion.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $sslPem = this.getSslPem();
      result = result * 59 + ($sslPem == null ? 43 : $sslPem.hashCode());
      Object $sslKey = this.getSslKey();
      result = result * 59 + ($sslKey == null ? 43 : $sslKey.hashCode());
      Object $sslTime = this.getSslTime();
      result = result * 59 + ($sslTime == null ? 43 : $sslTime.hashCode());
      Object $nginxCnf = this.getNginxCnf();
      result = result * 59 + ($nginxCnf == null ? 43 : $nginxCnf.hashCode());
      Object $createName = this.getCreateName();
      result = result * 59 + ($createName == null ? 43 : $createName.hashCode());
      Object $agentName = this.getAgentName();
      result = result * 59 + ($agentName == null ? 43 : $agentName.hashCode());
      Object $dealerName = this.getDealerName();
      result = result * 59 + ($dealerName == null ? 43 : $dealerName.hashCode());
      Object $country = this.getCountry();
      result = result * 59 + ($country == null ? 43 : $country.hashCode());
      Object $language = this.getLanguage();
      result = result * 59 + ($language == null ? 43 : $language.hashCode());
      return result;
   }
}
