package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SnTemplatePerms;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

public interface SnTemplatePermsMapper {
   SnTemplatePerms selectSnTemplatePermsById(Long var1);

   List<SnTemplatePerms> selectSnTemplatePermsList(SnTemplatePerms var1);

   int insertSnTemplatePerms(SnTemplatePerms var1);

   int updateSnTemplatePerms(SnTemplatePerms var1);

   int deleteSnTemplatePermsById(Long var1);

   int deleteSnTemplatePermsByIds(Long[] var1);

   @Delete({"delete from sn_template_perms where user_id = #{userId}"})
   int deletePermsByUserId(Long var1);

   void insertBatch(@Param("lists") List<SnTemplatePerms> var1);
}
