package com.ruoyi.system.mapper;

import com.ruoyi.system.api.domain.SysDept;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysDeptMapper {
   List<SysDept> selectDeptList(SysDept var1);

   List<Long> selectDeptListByRoleId(@Param("roleId") Long var1, @Param("deptCheckStrictly") boolean var2);

   SysDept selectDeptById(Long var1);

   List<SysDept> selectChildrenDeptById(Long var1);

   int selectNormalChildrenDeptById(Long var1);

   int hasChildByDeptId(Long var1);

   int checkDeptExistUser(Long var1);

   SysDept checkDeptNameUnique(@Param("deptName") String var1, @Param("parentId") Long var2);

   int insertDept(SysDept var1);

   int updateDept(SysDept var1);

   void updateDeptStatusNormal(Long[] var1);

   int updateDeptChildren(@Param("depts") List<SysDept> var1);

   int deleteDeptById(Long var1);
}
