package com.ruoyi.system.mapper;

import com.ruoyi.system.api.domain.SysRole;
import java.util.List;

public interface SysRoleMapper {
   List<SysRole> selectRoleList(SysRole var1);

   List<SysRole> selectRolePermissionByUserId(Long var1);

   List<SysRole> selectRoleAll();

   List<Long> selectRoleListByUserId(Long var1);

   SysRole selectRoleById(Long var1);

   List<SysRole> selectRolesByUserName(String var1);

   SysRole checkRoleNameUnique(String var1);

   SysRole checkRoleKeyUnique(String var1);

   int updateRole(SysRole var1);

   int insertRole(SysRole var1);

   int deleteRoleById(Long var1);

   int deleteRoleByIds(Long[] var1);
}
