package com.ruoyi.system.service;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.domain.SnServerTemplate;
import com.ruoyi.system.domain.dto.DeploySSLParams;
import com.ruoyi.system.domain.dto.UpdateBaseParams;
import java.util.List;

public interface ISnServerTemplateService {
   AjaxResult getOwnLast(Long var1);

   SnServerTemplate selectSnServerTemplateById(Long var1);

   List<SnServerTemplate> selectSnServerTemplateList(SnServerTemplate var1);

   AjaxResult insertSnServerTemplate(SnServerTemplate var1);

   int updateSnServerTemplate(SnServerTemplate var1);

   int deleteSnServerTemplateByIds(Long[] var1);

   AjaxResult changeDomain(SnServerTemplate var1);

   AjaxResult deployDomainSSL(DeploySSLParams var1);

   AjaxResult updateUI(UpdateBaseParams var1);

   AjaxResult haveUpdate(UpdateBaseParams var1);

   List<JSONObject> haveUpdateDetail(Long var1);

   AjaxResult updateAllUI(UpdateBaseParams var1);
}
