package com.ruoyi.system.service;

import com.ruoyi.system.api.domain.SysDept;
import com.ruoyi.system.domain.vo.TreeSelect;
import java.util.List;

public interface ISysDeptService {
   List<SysDept> selectDeptList(SysDept var1);

   List<TreeSelect> selectDeptTreeList(SysDept var1);

   List<SysDept> buildDeptTree(List<SysDept> var1);

   List<TreeSelect> buildDeptTreeSelect(List<SysDept> var1);

   List<Long> selectDeptListByRoleId(Long var1);

   SysDept selectDeptById(Long var1);

   int selectNormalChildrenDeptById(Long var1);

   boolean hasChildByDeptId(Long var1);

   boolean checkDeptExistUser(Long var1);

   boolean checkDeptNameUnique(SysDept var1);

   void checkDeptDataScope(Long var1);

   int insertDept(SysDept var1);

   int updateDept(SysDept var1);

   int deleteDeptById(Long var1);
}
