package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysMenu;
import com.ruoyi.system.domain.vo.RouterVo;
import com.ruoyi.system.domain.vo.TreeSelect;
import java.util.List;
import java.util.Set;

public interface ISysMenuService {
   List<SysMenu> selectMenuList(Long var1);

   List<SysMenu> selectMenuList(SysMenu var1, Long var2);

   Set<String> selectMenuPermsByUserId(Long var1);

   Set<String> selectMenuPermsByRoleId(Long var1);

   List<SysMenu> selectMenuTreeByUserId(Long var1);

   List<Long> selectMenuListByRoleId(Long var1);

   List<RouterVo> buildMenus(List<SysMenu> var1);

   List<SysMenu> buildMenuTree(List<SysMenu> var1);

   List<TreeSelect> buildMenuTreeSelect(List<SysMenu> var1);

   SysMenu selectMenuById(Long var1);

   boolean hasChildByMenuId(Long var1);

   boolean checkMenuExistRole(Long var1);

   int insertMenu(SysMenu var1);

   int updateMenu(SysMenu var1);

   int deleteMenuById(Long var1);

   boolean checkMenuNameUnique(SysMenu var1);
}
