package com.ruoyi.system.service;

import com.ruoyi.system.api.domain.SysUser;
import java.util.List;

public interface ISysUserService {
   List<SysUser> selectUserList(SysUser var1);

   List<SysUser> selectList(SysUser var1);

   List<SysUser> selectAllocatedList(SysUser var1);

   List<SysUser> selectUnallocatedList(SysUser var1);

   SysUser selectUserByUserName(String var1);

   SysUser selectUserById(Long var1);

   String selectUserRoleGroup(String var1);

   String selectUserPostGroup(String var1);

   boolean checkUserNameUnique(SysUser var1);

   boolean checkPhoneUnique(SysUser var1);

   boolean checkEmailUnique(SysUser var1);

   void checkUserAllowed(SysUser var1);

   void checkUserDataScope(Long var1);

   int insertUser(SysUser var1);

   boolean registerUser(SysUser var1);

   int updateUser(SysUser var1);

   void insertUserAuth(Long var1, Long[] var2);

   int updateUserStatus(SysUser var1);

   int updateUserProfile(SysUser var1);

   boolean updateUserAvatar(String var1, String var2);

   int resetPwd(SysUser var1);

   int resetUserPwd(String var1, String var2);

   int deleteUserById(Long var1);

   int deleteUserByIds(Long[] var1);

   String importUser(List<SysUser> var1, Boolean var2, String var3);

   void updateUserCloakId(Long var1, String var2);
}
