package com.ruoyi.system.domain.dto;

public class DeploySSLParams {
   private Long id;
   private Integer type;
   private Boolean cacheSsl = false;
   private String sslPem;
   private String sslKey;
   private String sslPemRoute;
   private String sslKeyRoute;
   private Integer process;

   public Long getId() {
      return this.id;
   }

   public Integer getType() {
      return this.type;
   }

   public Boolean getCacheSsl() {
      return this.cacheSsl;
   }

   public String getSslPem() {
      return this.sslPem;
   }

   public String getSslKey() {
      return this.sslKey;
   }

   public String getSslPemRoute() {
      return this.sslPemRoute;
   }

   public String getSslKeyRoute() {
      return this.sslKeyRoute;
   }

   public Integer getProcess() {
      return this.process;
   }

   public void setId(Long id) {
      this.id = id;
   }

   public void setType(Integer type) {
      this.type = type;
   }

   public void setCacheSsl(Boolean cacheSsl) {
      this.cacheSsl = cacheSsl;
   }

   public void setSslPem(String sslPem) {
      this.sslPem = sslPem;
   }

   public void setSslKey(String sslKey) {
      this.sslKey = sslKey;
   }

   public void setSslPemRoute(String sslPemRoute) {
      this.sslPemRoute = sslPemRoute;
   }

   public void setSslKeyRoute(String sslKeyRoute) {
      this.sslKeyRoute = sslKeyRoute;
   }

   public void setProcess(Integer process) {
      this.process = process;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DeploySSLParams)) {
         return false;
      } else {
         DeploySSLParams other = (DeploySSLParams)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label107: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label107;
                  }
               } else if (this$id.equals(other$id)) {
                  break label107;
               }

               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            Object this$cacheSsl = this.getCacheSsl();
            Object other$cacheSsl = other.getCacheSsl();
            if (this$cacheSsl == null) {
               if (other$cacheSsl != null) {
                  return false;
               }
            } else if (!this$cacheSsl.equals(other$cacheSsl)) {
               return false;
            }

            label86: {
               Object this$process = this.getProcess();
               Object other$process = other.getProcess();
               if (this$process == null) {
                  if (other$process == null) {
                     break label86;
                  }
               } else if (this$process.equals(other$process)) {
                  break label86;
               }

               return false;
            }

            label79: {
               Object this$sslPem = this.getSslPem();
               Object other$sslPem = other.getSslPem();
               if (this$sslPem == null) {
                  if (other$sslPem == null) {
                     break label79;
                  }
               } else if (this$sslPem.equals(other$sslPem)) {
                  break label79;
               }

               return false;
            }

            label72: {
               Object this$sslKey = this.getSslKey();
               Object other$sslKey = other.getSslKey();
               if (this$sslKey == null) {
                  if (other$sslKey == null) {
                     break label72;
                  }
               } else if (this$sslKey.equals(other$sslKey)) {
                  break label72;
               }

               return false;
            }

            Object this$sslPemRoute = this.getSslPemRoute();
            Object other$sslPemRoute = other.getSslPemRoute();
            if (this$sslPemRoute == null) {
               if (other$sslPemRoute != null) {
                  return false;
               }
            } else if (!this$sslPemRoute.equals(other$sslPemRoute)) {
               return false;
            }

            Object this$sslKeyRoute = this.getSslKeyRoute();
            Object other$sslKeyRoute = other.getSslKeyRoute();
            if (this$sslKeyRoute == null) {
               if (other$sslKeyRoute != null) {
                  return false;
               }
            } else if (!this$sslKeyRoute.equals(other$sslKeyRoute)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof DeploySSLParams;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $cacheSsl = this.getCacheSsl();
      result = result * 59 + ($cacheSsl == null ? 43 : $cacheSsl.hashCode());
      Object $process = this.getProcess();
      result = result * 59 + ($process == null ? 43 : $process.hashCode());
      Object $sslPem = this.getSslPem();
      result = result * 59 + ($sslPem == null ? 43 : $sslPem.hashCode());
      Object $sslKey = this.getSslKey();
      result = result * 59 + ($sslKey == null ? 43 : $sslKey.hashCode());
      Object $sslPemRoute = this.getSslPemRoute();
      result = result * 59 + ($sslPemRoute == null ? 43 : $sslPemRoute.hashCode());
      Object $sslKeyRoute = this.getSslKeyRoute();
      result = result * 59 + ($sslKeyRoute == null ? 43 : $sslKeyRoute.hashCode());
      return result;
   }

   public String toString() {
      return "DeploySSLParams(id=" + this.getId() + ", type=" + this.getType() + ", cacheSsl=" + this.getCacheSsl() + ", sslPem=" + this.getSslPem() + ", sslKey=" + this.getSslKey() + ", sslPemRoute=" + this.getSslPemRoute() + ", sslKeyRoute=" + this.getSslKeyRoute() + ", process=" + this.getProcess() + ")";
   }
}
