package com.ruoyi.system.domain.dto;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

public class SnServerTemplateDto extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long id;
   private Long serverId;
   private String serverIp;
   private String domain;
   @Excel(
      name = "状态"
   )
   private Integer status;
   private Long templateId;
   private String templateName;
   private Integer category;
   private String country;
   private String language;

   public Long getId() {
      return this.id;
   }

   public Long getServerId() {
      return this.serverId;
   }

   public String getServerIp() {
      return this.serverIp;
   }

   public String getDomain() {
      return this.domain;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getTemplateId() {
      return this.templateId;
   }

   public String getTemplateName() {
      return this.templateName;
   }

   public Integer getCategory() {
      return this.category;
   }

   public String getCountry() {
      return this.country;
   }

   public String getLanguage() {
      return this.language;
   }

   public void setId(Long id) {
      this.id = id;
   }

   public void setServerId(Long serverId) {
      this.serverId = serverId;
   }

   public void setServerIp(String serverIp) {
      this.serverIp = serverIp;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setTemplateId(Long templateId) {
      this.templateId = templateId;
   }

   public void setTemplateName(String templateName) {
      this.templateName = templateName;
   }

   public void setCategory(Integer category) {
      this.category = category;
   }

   public void setCountry(String country) {
      this.country = country;
   }

   public void setLanguage(String language) {
      this.language = language;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnServerTemplateDto)) {
         return false;
      } else {
         SnServerTemplateDto other = (SnServerTemplateDto)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$serverId = this.getServerId();
            Object other$serverId = other.getServerId();
            if (this$serverId == null) {
               if (other$serverId != null) {
                  return false;
               }
            } else if (!this$serverId.equals(other$serverId)) {
               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            label110: {
               Object this$templateId = this.getTemplateId();
               Object other$templateId = other.getTemplateId();
               if (this$templateId == null) {
                  if (other$templateId == null) {
                     break label110;
                  }
               } else if (this$templateId.equals(other$templateId)) {
                  break label110;
               }

               return false;
            }

            label103: {
               Object this$category = this.getCategory();
               Object other$category = other.getCategory();
               if (this$category == null) {
                  if (other$category == null) {
                     break label103;
                  }
               } else if (this$category.equals(other$category)) {
                  break label103;
               }

               return false;
            }

            Object this$serverIp = this.getServerIp();
            Object other$serverIp = other.getServerIp();
            if (this$serverIp == null) {
               if (other$serverIp != null) {
                  return false;
               }
            } else if (!this$serverIp.equals(other$serverIp)) {
               return false;
            }

            label89: {
               Object this$domain = this.getDomain();
               Object other$domain = other.getDomain();
               if (this$domain == null) {
                  if (other$domain == null) {
                     break label89;
                  }
               } else if (this$domain.equals(other$domain)) {
                  break label89;
               }

               return false;
            }

            label82: {
               Object this$templateName = this.getTemplateName();
               Object other$templateName = other.getTemplateName();
               if (this$templateName == null) {
                  if (other$templateName == null) {
                     break label82;
                  }
               } else if (this$templateName.equals(other$templateName)) {
                  break label82;
               }

               return false;
            }

            Object this$country = this.getCountry();
            Object other$country = other.getCountry();
            if (this$country == null) {
               if (other$country != null) {
                  return false;
               }
            } else if (!this$country.equals(other$country)) {
               return false;
            }

            Object this$language = this.getLanguage();
            Object other$language = other.getLanguage();
            if (this$language == null) {
               if (other$language != null) {
                  return false;
               }
            } else if (!this$language.equals(other$language)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnServerTemplateDto;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $serverId = this.getServerId();
      result = result * 59 + ($serverId == null ? 43 : $serverId.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $templateId = this.getTemplateId();
      result = result * 59 + ($templateId == null ? 43 : $templateId.hashCode());
      Object $category = this.getCategory();
      result = result * 59 + ($category == null ? 43 : $category.hashCode());
      Object $serverIp = this.getServerIp();
      result = result * 59 + ($serverIp == null ? 43 : $serverIp.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $templateName = this.getTemplateName();
      result = result * 59 + ($templateName == null ? 43 : $templateName.hashCode());
      Object $country = this.getCountry();
      result = result * 59 + ($country == null ? 43 : $country.hashCode());
      Object $language = this.getLanguage();
      result = result * 59 + ($language == null ? 43 : $language.hashCode());
      return result;
   }

   public String toString() {
      return "SnServerTemplateDto(id=" + this.getId() + ", serverId=" + this.getServerId() + ", serverIp=" + this.getServerIp() + ", domain=" + this.getDomain() + ", status=" + this.getStatus() + ", templateId=" + this.getTemplateId() + ", templateName=" + this.getTemplateName() + ", category=" + this.getCategory() + ", country=" + this.getCountry() + ", language=" + this.getLanguage() + ")";
   }
}
