package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SnTemplate;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

public interface SnTemplateMapper {
   SnTemplate selectSnTemplateByTemplateId(Long var1);

   List<SnTemplate> selectSnTemplateList(SnTemplate var1);

   int insertSnTemplate(SnTemplate var1);

   int updateSnTemplate(SnTemplate var1);

   int deleteSnTemplateByTemplateId(Long var1);

   int deleteSnTemplateByTemplateIds(Long[] var1);

   @Update({"update sn_template set use_count = use_count + 1 where template_id = #{templateId}"})
   void updateSnTemplateUseNum(Long var1);

   List<Map<String, Object>> countryNum(@Param("userId") Long var1);
}
