package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SysMenu;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysMenuMapper {
   List<SysMenu> selectMenuList(SysMenu var1);

   List<String> selectMenuPerms();

   List<SysMenu> selectMenuListByUserId(SysMenu var1);

   List<String> selectMenuPermsByRoleId(Long var1);

   List<String> selectMenuPermsByUserId(Long var1);

   List<SysMenu> selectMenuTreeAll();

   List<SysMenu> selectMenuTreeByUserId(Long var1);

   List<Long> selectMenuListByRoleId(@Param("roleId") Long var1, @Param("menuCheckStrictly") boolean var2);

   SysMenu selectMenuById(Long var1);

   int hasChildByMenuId(Long var1);

   int insertMenu(SysMenu var1);

   int updateMenu(SysMenu var1);

   int deleteMenuById(Long var1);

   SysMenu checkMenuNameUnique(@Param("menuName") String var1, @Param("parentId") Long var2);
}
