package com.ruoyi.system.mapper;

import com.ruoyi.system.api.domain.SysUser;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysUserMapper {
   List<SysUser> selectUserList(SysUser var1);

   List<SysUser> selectList(SysUser var1);

   List<SysUser> selectAllocatedList(SysUser var1);

   List<SysUser> selectUnallocatedList(SysUser var1);

   SysUser selectUserByUserName(String var1);

   SysUser selectUserById(Long var1);

   int insertUser(SysUser var1);

   int updateUser(SysUser var1);

   int updateUserAvatar(@Param("userName") String var1, @Param("avatar") String var2);

   int resetUserPwd(@Param("userName") String var1, @Param("password") String var2);

   int deleteUserById(Long var1);

   int deleteUserByIds(Long[] var1);

   SysUser checkUserNameUnique(String var1);

   SysUser checkPhoneUnique(String var1);

   SysUser checkEmailUnique(String var1);

   void updateUserCloakId(@Param("dealerId") Long var1, @Param("cloakId") String var2);
}
