package com.ruoyi.system.service;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.domain.SnServer;
import com.ruoyi.system.domain.dto.DeploySSLParams;
import com.ruoyi.system.domain.dto.DockerLogsParams;
import com.ruoyi.system.domain.dto.UpdateBaseParams;
import java.util.List;

public interface ISnServerService {
   AjaxResult deployBasicEnv(SnServer var1);

   AjaxResult changeDomain(SnServer var1);

   AjaxResult deployDomainSSL(DeploySSLParams var1);

   AjaxResult updateUI(UpdateBaseParams var1);

   AjaxResult updateBack(UpdateBaseParams var1);

   AjaxResult updateMessage(UpdateBaseParams var1);

   AjaxResult DDLUpdate(Long var1);

   AjaxResult syncUa(Long var1);

   String syncUa(SnServer var1, Boolean var2);

   AjaxResult syncUaAll(List<Long> var1);

   void updateClientCloak(Long var1);

   void logoutMerchant(Long var1);

   SnServer selectSnServerByServerId(Long var1);

   List<SnServer> selectSnServerList(SnServer var1);

   AjaxResult insertSnServer(SnServer var1);

   int updateSnServer(SnServer var1);

   int deleteSnServerByServerIds(Long[] var1);

   AjaxResult getLogs(DockerLogsParams var1);
}
