package com.ruoyi.system.service;

import com.ruoyi.system.api.domain.SysRole;
import com.ruoyi.system.domain.SysUserRole;
import java.util.List;
import java.util.Set;

public interface ISysRoleService {
   List<SysRole> selectRoleList(SysRole var1);

   List<SysRole> selectRolesByUserId(Long var1);

   Set<String> selectRolePermissionByUserId(Long var1);

   List<SysRole> selectRoleAll();

   List<Long> selectRoleListByUserId(Long var1);

   SysRole selectRoleById(Long var1);

   boolean checkRoleNameUnique(SysRole var1);

   boolean checkRoleKeyUnique(SysRole var1);

   void checkRoleAllowed(SysRole var1);

   void checkRoleDataScope(Long... var1);

   int countUserRoleByRoleId(Long var1);

   int insertRole(SysRole var1);

   int updateRole(SysRole var1);

   int updateRoleStatus(SysRole var1);

   int authDataScope(SysRole var1);

   int deleteRoleById(Long var1);

   int deleteRoleByIds(Long[] var1);

   int deleteAuthUser(SysUserRole var1);

   int deleteAuthUsers(Long var1, Long[] var2);

   int insertAuthUsers(Long var1, Long[] var2);
}
