package com.ruoyi.system.utils.dbsync.runner;

public class DbConfig {
   private String sourceHost;
   private String sourceUser;
   private String sourcePass;
   private String sourceSchema;
   private String sourceCharset;
   private String targetHost;
   private String targetUser;
   private String targetPass;
   private String targetSchema;
   private String targetCharset;

   public String getSourceHost() {
      return this.sourceHost;
   }

   public String getSourceUser() {
      return this.sourceUser;
   }

   public String getSourcePass() {
      return this.sourcePass;
   }

   public String getSourceSchema() {
      return this.sourceSchema;
   }

   public String getSourceCharset() {
      return this.sourceCharset;
   }

   public String getTargetHost() {
      return this.targetHost;
   }

   public String getTargetUser() {
      return this.targetUser;
   }

   public String getTargetPass() {
      return this.targetPass;
   }

   public String getTargetSchema() {
      return this.targetSchema;
   }

   public String getTargetCharset() {
      return this.targetCharset;
   }

   public void setSourceHost(String sourceHost) {
      this.sourceHost = sourceHost;
   }

   public void setSourceUser(String sourceUser) {
      this.sourceUser = sourceUser;
   }

   public void setSourcePass(String sourcePass) {
      this.sourcePass = sourcePass;
   }

   public void setSourceSchema(String sourceSchema) {
      this.sourceSchema = sourceSchema;
   }

   public void setSourceCharset(String sourceCharset) {
      this.sourceCharset = sourceCharset;
   }

   public void setTargetHost(String targetHost) {
      this.targetHost = targetHost;
   }

   public void setTargetUser(String targetUser) {
      this.targetUser = targetUser;
   }

   public void setTargetPass(String targetPass) {
      this.targetPass = targetPass;
   }

   public void setTargetSchema(String targetSchema) {
      this.targetSchema = targetSchema;
   }

   public void setTargetCharset(String targetCharset) {
      this.targetCharset = targetCharset;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DbConfig)) {
         return false;
      } else {
         DbConfig other = (DbConfig)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$sourceHost = this.getSourceHost();
            Object other$sourceHost = other.getSourceHost();
            if (this$sourceHost == null) {
               if (other$sourceHost != null) {
                  return false;
               }
            } else if (!this$sourceHost.equals(other$sourceHost)) {
               return false;
            }

            Object this$sourceUser = this.getSourceUser();
            Object other$sourceUser = other.getSourceUser();
            if (this$sourceUser == null) {
               if (other$sourceUser != null) {
                  return false;
               }
            } else if (!this$sourceUser.equals(other$sourceUser)) {
               return false;
            }

            Object this$sourcePass = this.getSourcePass();
            Object other$sourcePass = other.getSourcePass();
            if (this$sourcePass == null) {
               if (other$sourcePass != null) {
                  return false;
               }
            } else if (!this$sourcePass.equals(other$sourcePass)) {
               return false;
            }

            label110: {
               Object this$sourceSchema = this.getSourceSchema();
               Object other$sourceSchema = other.getSourceSchema();
               if (this$sourceSchema == null) {
                  if (other$sourceSchema == null) {
                     break label110;
                  }
               } else if (this$sourceSchema.equals(other$sourceSchema)) {
                  break label110;
               }

               return false;
            }

            label103: {
               Object this$sourceCharset = this.getSourceCharset();
               Object other$sourceCharset = other.getSourceCharset();
               if (this$sourceCharset == null) {
                  if (other$sourceCharset == null) {
                     break label103;
                  }
               } else if (this$sourceCharset.equals(other$sourceCharset)) {
                  break label103;
               }

               return false;
            }

            Object this$targetHost = this.getTargetHost();
            Object other$targetHost = other.getTargetHost();
            if (this$targetHost == null) {
               if (other$targetHost != null) {
                  return false;
               }
            } else if (!this$targetHost.equals(other$targetHost)) {
               return false;
            }

            label89: {
               Object this$targetUser = this.getTargetUser();
               Object other$targetUser = other.getTargetUser();
               if (this$targetUser == null) {
                  if (other$targetUser == null) {
                     break label89;
                  }
               } else if (this$targetUser.equals(other$targetUser)) {
                  break label89;
               }

               return false;
            }

            label82: {
               Object this$targetPass = this.getTargetPass();
               Object other$targetPass = other.getTargetPass();
               if (this$targetPass == null) {
                  if (other$targetPass == null) {
                     break label82;
                  }
               } else if (this$targetPass.equals(other$targetPass)) {
                  break label82;
               }

               return false;
            }

            Object this$targetSchema = this.getTargetSchema();
            Object other$targetSchema = other.getTargetSchema();
            if (this$targetSchema == null) {
               if (other$targetSchema != null) {
                  return false;
               }
            } else if (!this$targetSchema.equals(other$targetSchema)) {
               return false;
            }

            Object this$targetCharset = this.getTargetCharset();
            Object other$targetCharset = other.getTargetCharset();
            if (this$targetCharset == null) {
               if (other$targetCharset != null) {
                  return false;
               }
            } else if (!this$targetCharset.equals(other$targetCharset)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof DbConfig;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $sourceHost = this.getSourceHost();
      result = result * 59 + ($sourceHost == null ? 43 : $sourceHost.hashCode());
      Object $sourceUser = this.getSourceUser();
      result = result * 59 + ($sourceUser == null ? 43 : $sourceUser.hashCode());
      Object $sourcePass = this.getSourcePass();
      result = result * 59 + ($sourcePass == null ? 43 : $sourcePass.hashCode());
      Object $sourceSchema = this.getSourceSchema();
      result = result * 59 + ($sourceSchema == null ? 43 : $sourceSchema.hashCode());
      Object $sourceCharset = this.getSourceCharset();
      result = result * 59 + ($sourceCharset == null ? 43 : $sourceCharset.hashCode());
      Object $targetHost = this.getTargetHost();
      result = result * 59 + ($targetHost == null ? 43 : $targetHost.hashCode());
      Object $targetUser = this.getTargetUser();
      result = result * 59 + ($targetUser == null ? 43 : $targetUser.hashCode());
      Object $targetPass = this.getTargetPass();
      result = result * 59 + ($targetPass == null ? 43 : $targetPass.hashCode());
      Object $targetSchema = this.getTargetSchema();
      result = result * 59 + ($targetSchema == null ? 43 : $targetSchema.hashCode());
      Object $targetCharset = this.getTargetCharset();
      result = result * 59 + ($targetCharset == null ? 43 : $targetCharset.hashCode());
      return result;
   }

   public String toString() {
      return "DbConfig(sourceHost=" + this.getSourceHost() + ", sourceUser=" + this.getSourceUser() + ", sourcePass=" + this.getSourcePass() + ", sourceSchema=" + this.getSourceSchema() + ", sourceCharset=" + this.getSourceCharset() + ", targetHost=" + this.getTargetHost() + ", targetUser=" + this.getTargetUser() + ", targetPass=" + this.getTargetPass() + ", targetSchema=" + this.getTargetSchema() + ", targetCharset=" + this.getTargetCharset() + ")";
   }
}
